package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_company_user的实体类
 */
@ApiModel(value = "base_company_user的实体类")
public class CompanyUser {
    @ApiModelProperty(value = "ID")
	private String id;
    @ApiModelProperty(value = "用户名")
	private String userName;
    @ApiModelProperty(value = "密码")
	private String password;
    @ApiModelProperty(value = "用户头像地址")
	private String avatar;
    @ApiModelProperty(value = "用户注册手机号")
	private String phone;
    @ApiModelProperty(value = "微信openID")
	private String openId;
    @ApiModelProperty(value = "职业介绍")
	private String profession;
    @ApiModelProperty(value = "简介")
	private String summary;
    @ApiModelProperty(value = "关联企业编号")
	private String companyId;
    @ApiModelProperty(value = "状态")
	private String status;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	@ApiModelProperty(value = "真实姓名")
	private String realName;


	/**
	 *获取ID
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取用户名
	 */
    	public String getUserName(){
		return userName;
	}
	
	/**
	 *设置用户名
	 */
	public void setUserName(String userName){
		this.userName = userName;
	}
	/**
	 *获取密码
	 */
    	public String getPassword(){
		return password;
	}
	
	/**
	 *设置密码
	 */
	public void setPassword(String password){
		this.password = password;
	}
	/**
	 *获取用户头像地址
	 */
    	public String getAvatar(){
		return avatar;
	}
	
	/**
	 *设置用户头像地址
	 */
	public void setAvatar(String avatar){
		this.avatar = avatar;
	}
	/**
	 *获取用户注册手机号
	 */
    	public String getPhone(){
		return phone;
	}
	
	/**
	 *设置用户注册手机号
	 */
	public void setPhone(String phone){
		this.phone = phone;
	}
	/**
	 *获取微信openID
	 */
    	public String getOpenId(){
		return openId;
	}
	
	/**
	 *设置微信openID
	 */
	public void setOpenId(String openId){
		this.openId = openId;
	}
	/**
	 *获取职业介绍
	 */
    	public String getProfession(){
		return profession;
	}
	
	/**
	 *设置职业介绍
	 */
	public void setProfession(String profession){
		this.profession = profession;
	}
	/**
	 *获取简介
	 */
    	public String getSummary(){
		return summary;
	}
	
	/**
	 *设置简介
	 */
	public void setSummary(String summary){
		this.summary = summary;
	}
	/**
	 *获取关联企业编号
	 */
    	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置关联企业编号
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
	/**
	 *获取状态
	 */
    	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态
	 */
	public void setStatus(String status){
		this.status = status;
	}
	/**
	 *获取创建人
	 */
    	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	/**
	 *获取更新人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
	/**
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
	/**
	 *获取真实姓名
	 */
	public String getRealName(){
		return realName;
	}

	/**
	 *设置真实姓名
	 */
	public void setRealName(String realName){
		this.realName = realName;
	}
}