package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_insurance_jobs的实体类
 */
@ApiModel(value = "base_insurance_jobs的实体类")
public class InsuranceJobs {
    @ApiModelProperty(value = "编号")
	private String id;
	@ApiModelProperty(value = "行业ID")
	private String jobsId;
	@ApiModelProperty(value = "险种信息ID")
	private String definitionId;
    @ApiModelProperty(value = "行业实体")
	private Jobs jobs;
	@ApiModelProperty(value = "险种信息实体")
	private InsuranceDefinition definition;
    @ApiModelProperty(value = "收费标准(月)")
	private BigDecimal charges;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "修改人")
	private String updateBy;
    @ApiModelProperty(value = "修改时间")
	private Date updateTime;

    /**
	 *获取编号
	 */
    public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}

	/**
	 *获取行业ID
	 */
	public Jobs getJobs(){
		return jobs;
	}
	
	/**
	 *设置行业ID
	 */
	public void setJobs(Jobs jobs){
		this.jobs = jobs;
	}

	/**
	 *获取险种信息ID
	 */
	public InsuranceDefinition getDefinition(){
		return definition;
	}

	/**
	 *设置险种信息ID
	 */
	public void setDefinition(InsuranceDefinition definition){
		this.definition = definition;
	}

	/**
	 *设置行业ID
	 */
	public String getJobsId(){
		return jobsId;
	}
	public void setJobsId(String jobsId){
		this.jobsId = jobsId;
	}

	/**
	 *获取险种信息ID
	 */
	public void setDefinitionId(String definitionId) {
		this.definitionId = definitionId;
	}
	public String getDefinitionId() {
		return definitionId;
	}

	/**
	 *获取收费标准(月)
	 */
	public BigDecimal getCharges(){
		return charges;
	}
	
	/**
	 *设置收费标准(月)
	 */
	public void setCharges(BigDecimal charges){
		this.charges = charges;
	}

	/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}

	/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 *获取修改人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置修改人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}

	/**
	 *获取修改时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}

	/**
	 *设置修改时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}