package com.jpsoft.picc.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.business.entity.ApplicationPolicy;
import com.jpsoft.picc.modules.business.entity.InsuranceApplication;
import com.jpsoft.picc.modules.business.entity.InsurancePolicy;
import com.jpsoft.picc.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ApplicationPolicyService {
    ApplicationPolicy get(String id);

    ApplicationPolicy getDetail(String applicationId,String policyId);

    boolean exist(String id);

    int insert(ApplicationPolicy model);

    int update(ApplicationPolicy model);

    int delete(String id);

    List<ApplicationPolicy> list();

    Page<ApplicationPolicy> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    Page<ApplicationPolicy> otherSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    List<ApplicationPolicy> findByApplicationId(String applicationId);

    Page<InsurancePolicy> findPolicyByApplicationId(String applicationId, int pageIndex, int pageSize);

    List<InsuranceApplication> findApplicationByPolicyId(String policyId);

    InsurancePolicy findFirstPolicyByApplicationId(String applicationId);
}