package com.jpsoft.picc.modules.business.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.jpsoft.picc.modules.business.dao.ApplicationPolicyDAO;
import com.jpsoft.picc.modules.business.entity.ApplicationPolicy;
import com.jpsoft.picc.modules.business.entity.InsuranceApplication;
import com.jpsoft.picc.modules.business.entity.InsurancePolicy;
import com.jpsoft.picc.modules.business.service.ApplicationPolicyService;
import com.jpsoft.picc.modules.common.dto.Sort;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Transactional
@Component(value = "applicationPolicyService")
public class ApplicationPolicyServiceImpl implements ApplicationPolicyService {
    @Resource(name = "applicationPolicyDAO")
    private ApplicationPolicyDAO applicationPolicyDAO;

    @Override
    public ApplicationPolicy get(String id) {
        // TODO Auto-generated method stub
        return applicationPolicyDAO.get(id);
    }

    @Override
    public ApplicationPolicy getDetail(String applicationId,String policyId){
        return applicationPolicyDAO.getDetail(applicationId,policyId);
    }

    @Override
    public int insert(ApplicationPolicy model) {
        // TODO Auto-generated method stub
        //model.setId(UUID.randomUUID().toString());

        return applicationPolicyDAO.insert(model);
    }

    @Override
    public int update(ApplicationPolicy model) {
        // TODO Auto-generated method stub
        return applicationPolicyDAO.update(model);
    }

    @Override
    public int delete(String id) {
        // TODO Auto-generated method stub
        return applicationPolicyDAO.delete(id);
    }

    @Override
    public boolean exist(String id) {
        // TODO Auto-generated method stub
        int count = applicationPolicyDAO.exist(id);

        return count > 0 ? true : false;
    }

    @Override
    public List<ApplicationPolicy> list() {
        // TODO Auto-generated method stub
        return applicationPolicyDAO.list();
    }

    @Override
    public Page<ApplicationPolicy> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize, List<Sort> sortList) {
        Page<ApplicationPolicy> page = PageHelper.startPage(pageNumber, pageSize).doSelectPage(() -> {
            applicationPolicyDAO.search(searchParams, sortList);
        });

        return page;
    }

    @Override
    public Page<ApplicationPolicy> otherSearch(Map<String, Object> searchParams, int pageNumber, int pageSize, List<Sort> sortList) {
        Page<ApplicationPolicy> page = PageHelper.startPage(pageNumber, pageSize).doSelectPage(() -> {
            applicationPolicyDAO.otherSearch(searchParams, sortList);
        });

        return page;
    }

    @Override
    public List<ApplicationPolicy> findByApplicationId(String applicationId) {
        return applicationPolicyDAO.findByApplicationId(applicationId);
    }

    @Override
    public Page<InsurancePolicy> findPolicyByApplicationId(String applicationId, int pageIndex, int pageSize) {
        Page<InsurancePolicy> page = PageHelper.startPage(pageIndex, pageSize).doSelectPage(() -> {
            applicationPolicyDAO.findPolicyByApplicationId(applicationId);
        });

        return page;
    }

    @Override
    public List<InsuranceApplication> findApplicationByPolicyId(String policyId) {
        return applicationPolicyDAO.findApplicationByPolicyId(policyId);
    }

    @Override
    public InsurancePolicy findFirstPolicyByApplicationId(String applicationId){
        return applicationPolicyDAO.findFirstPolicyByApplicationId(applicationId);
    }
}